VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Sample"
Attribute VB_GlobalNameSpace = True
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "VB5-authored Add-in"

Option Explicit

Private clsCmds As Commands
Private CATID_SEPart   As String
Private lnghWnd As Long
'Private nInstance As Long

Implements ISolidEdgeAddIn

Private Sub Class_Initialize()
'MsgBox "The Solid Edge Sample Addin object is being initialized upon creation"


End Sub

' This method is called when the Addin is first loaded by Solid Edge
Private Sub ISolidEdgeAddIn_OnConnection(ByVal Application As Object, _
ByVal ConnectMode As SolidEdgeFramework.SeConnectMode, ByVal AddInInstance As SolidEdgeFramework.AddIn)

Set clsCmds = New Commands
Set clsCmds.objApp = Application
lnghWnd = Application.hWnd
Call clsCmds.setBases(pApp:=Application, sebhwnd:=lnghWnd)

If ConnectMode = seConnectAtStartup Then
' MsgBox "Connecting SolidEdge sample addin  at startup"
End If
 
AddInInstance.Description = "SolidEdge Sample Addin111"
AddInInstance.GuiVersion = 1
AddInInstance.Visible = True
 
                
    'Call clsCmds.ISolidEdgeBar_AddPage(theDocument:=objDoc1, InstanceHandle:=nInstance, nBitmapID:=1, ToolTip:="edgebar", nOptions:=1, hWndPage:=lnghWnd)
                 
End Sub

' This method is called the first time the environment is switched to in Solid Edge AND
' the addin has registered itself as interested in adding commands to that environment.
' The input CATID is the CATID of the environment being switched to. This is called ONCE per
' addin for each environent that addin is interested in.

Private Sub ISolidEdgeAddIn_OnConnectToEnvironment(ByVal EnvCatID As String, ByVal pEnvironmentDispatch As Object, ByVal bFirstTime As Boolean)
            
    ' There are the CATIDs currently supported for the SolidEdge enviroments.
    ' These are exposed in the SDK in an include file. We will expose all the
    ' environments eventually.
    '
    ' CATID_SEApplication   = {26618394-09D6-11d1-BA07-080036230602}
    ' CATID_SEAssembly      = {26618395-09D6-11d1-BA07-080036230602}
    ' CATID_SEPart          = {26618396-09D6-11d1-BA07-080036230602}
    ' CATID_SEProfile       = {26618397-09D6-11d1-BA07-080036230602}
    ' CATID_SESheetMetal    = {26618398-09D6-11d1-BA07-080036230602}


    ' Finally, set up the AddInInfo that SolidEdge needs.
    '
    '
    ' The command string consists of the following six parts:
    ' part 1: The name of the command. This should be as unique as possible becasue this will
    '         become the tag of the command. Use the company name etc. to make it unique.
    '         Since this tag is stored by SolidEdge to ensure identity, it SHOULD NOT BE
    '         internationalized/localized.
    ' part 2: Text displayed on the menu entry for the command
    ' part 3: String displayed on the status bar
    ' part 4: Tootip string
    ' part 5: The string that will be the "OnAction" string. If this string is specified, it means
    '         the addin is adding a macro button and not a command
    ' part 6: If the "OnAction" is specified, then this is the "Parameter Text" string, i.e. additional
    '         parameters for the macro button.
    
    ' Since no option base statement is present, "0" is the first index. Also, internal
    ' SE code currently expects a zero index to be the first entry, for now.
     ' set up the environment category CATID string
    CATID_SEPart = "{26618396-09D6-11d1-BA07-080036230602}"

    ' We are not interested in connecting to an environment to which we are not adding buttons
    If (LCase(EnvCatID) = LCase(CATID_SEPart)) Then
    
        'MsgBox "Addin connecting to Part Environment..."
        
        
    End If


End Sub

Private Sub ISolidEdgeAddIn_OnDisconnection(ByVal DisconnectMode As SolidEdgeFramework.SeDisconnectMode)
    
    ' VERY VERY important to free any Solid Edge resources
    
   Set clsCmds = Nothing

End Sub

